Skip to main content
GET
/
roles
/
{role}
/
restrictedfeatures
List Restricted Features
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures"

headers = {"apikey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "title": "Delete Group",
      "description": "Allows logged-in user to delete a group.",
      "key": "u.deleteGroup",
      "path": "/v3/groups/{{guid}}",
      "createdAt": 1639448370
    },
    {
      "title": "List Users",
      "description": "Allows logged-in user to fetch the user list.",
      "key": "u.listUsers",
      "path": "/v3/users",
      "createdAt": 1639448370
    }
  ],
  "meta": {
    "pagination": {
      "total": 2,
      "count": 2,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

role
string
required

A role for which features are restricted.

Response

200 - application/json

Lists Restricted Features

data
object[]
meta
object